<?php

    /*----------------------First highlight color-------------------*/

	$vw_minimalist_first_color = get_theme_mod('vw_minimalist_first_color');

	$vw_minimalist_custom_css= "";

	if($vw_minimalist_first_color != false){
		$vw_minimalist_custom_css .='.read-btn a, .more-btn a,input[type="submit"],#sidebar h3,.search-box i,.scrollup i,#footer a.custom_read_more, #sidebar a.custom_read_more,#sidebar .custom-social-icons i, #footer .custom-social-icons i,.pagination span, .pagination a,#footer-2,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.widget_product_search button,#comments input[type="submit"],#comments a.comment-reply-link,#slider .carousel-control-prev-icon, #slider .carousel-control-next-icon,nav.woocommerce-MyAccount-navigation ul li,.toggle-nav i, .woocommerce nav.woocommerce-pagination ul li a, #preloader, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__label, .inner-box:hover,.bradcrumbs a:hover, .bradcrumbs span, .post-categories li a:hover, nav.navigation.posts-navigation .nav-previous a, nav.navigation.posts-navigation .nav-next a, #sidebar .wp-block-heading, .wp-block-tag-cloud a:hover, .wp-block-button__link, .woocommerce a.added_to_cart{';
			$vw_minimalist_custom_css .='background: '.esc_attr($vw_minimalist_first_color).';';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_first_color != false){
		$vw_minimalist_custom_css .='.wc-block-grid__product-onsale, .wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wc-block-components-order-summary-item__quantity{';
			$vw_minimalist_custom_css .='background-color: '.esc_attr($vw_minimalist_first_color).'!important;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_first_color != false){
		$vw_minimalist_custom_css .='a,.main-navigation a:hover,.main-navigation ul.sub-menu a:hover,.main-navigation .current_page_item > a, .main-navigation .current-menu-item > a, .main-navigation .current_page_ancestor > a,#slider .inner_carousel h1 a,.heading-text p,#sidebar ul li a:hover,#footer li a:hover, .post-main-box:hover h2 a, .post-main-box:hover .post-info a, .post-info:hover a, .logo .site-title a:hover, #comments p a, #content-vw a, .entry-content a{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_first_color).';';
		$vw_minimalist_custom_css .='}';
	}	
	if($vw_minimalist_first_color != false){
		$vw_minimalist_custom_css .='.main-navigation ul ul{';
			$vw_minimalist_custom_css .='border-color: '.esc_attr($vw_minimalist_first_color).';';
		$vw_minimalist_custom_css .='}';
	}
	
	/*--------------- Second Highlight Color -------------------*/

	$vw_minimalist_second_color = get_theme_mod('vw_minimalist_second_color');

	if($vw_minimalist_second_color != false){
		$vw_minimalist_custom_css .='.read-btn a:hover, .more-btn a:hover,input[type="submit"]:hover,#sidebar a.custom_read_more:hover, #footer a.custom_read_more:hover,#sidebar .custom-social-icons i:hover, #footer .custom-social-icons i:hover,.pagination .current,.pagination a:hover,#sidebar .tagcloud a:hover,#footer .tagcloud a:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current, #comments input[type="submit"]:hover, nav.navigation.posts-navigation .nav-previous a:hover, nav.navigation.posts-navigation .nav-next a:hover, .wp-block-button .wp-block-button__link:hover, .woocommerce a.added_to_cart:hover{';
			$vw_minimalist_custom_css .='background: '.esc_attr($vw_minimalist_second_color).';';
		$vw_minimalist_custom_css .='}';
	}

	if($vw_minimalist_second_color != false){
		$vw_minimalist_custom_css .='.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .wp-block-woocommerce-cart .wc-block-cart__submit-button:hover, .wc-block-components-checkout-place-order-button:hover{';
			$vw_minimalist_custom_css .='background: '.esc_attr($vw_minimalist_second_color).'!important;';
		$vw_minimalist_custom_css .='}';
	}

	if($vw_minimalist_second_color != false){
		$vw_minimalist_custom_css .='#slider .inner_carousel h1 a:hover{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_second_color).';';
		$vw_minimalist_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_width_option','Full Width');
    if($vw_minimalist_theme_lay == 'Boxed'){
		$vw_minimalist_custom_css .='body{';
			$vw_minimalist_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#slider{';
			$vw_minimalist_custom_css .='right: 1%;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='right: 100px;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='.scrollup.left i{';
			$vw_minimalist_custom_css .='left: 100px;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_theme_lay == 'Wide Width'){
		$vw_minimalist_custom_css .='body{';
			$vw_minimalist_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='right: 30px;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='.scrollup.left i{';
			$vw_minimalist_custom_css .='left: 30px;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_theme_lay == 'Full Width'){
		$vw_minimalist_custom_css .='body{';
			$vw_minimalist_custom_css .='max-width: 100%;';
		$vw_minimalist_custom_css .='}';
	}

	/*-----------------Slider Content Layout -------------------*/

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_slider_content_option','Left');
    if($vw_minimalist_theme_lay == 'Left'){
		$vw_minimalist_custom_css .='#slider .carousel-caption{';
			$vw_minimalist_custom_css .='text-align:left;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_theme_lay == 'Center'){
		$vw_minimalist_custom_css .='#slider .carousel-caption{';
			$vw_minimalist_custom_css .='text-align:center;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_theme_lay == 'Right'){
		$vw_minimalist_custom_css .='#slider .carousel-caption{';
			$vw_minimalist_custom_css .='text-align:right;';
		$vw_minimalist_custom_css .='}';
	}

	/*------------- Slider Content Padding Settings ------------------*/

	$vw_minimalist_slider_content_padding_top_bottom = get_theme_mod('vw_minimalist_slider_content_padding_top_bottom');
	$vw_minimalist_slider_content_padding_left_right = get_theme_mod('vw_minimalist_slider_content_padding_left_right');
	if($vw_minimalist_slider_content_padding_top_bottom != false || $vw_minimalist_slider_content_padding_left_right != false){
		$vw_minimalist_custom_css .='#slider .carousel-caption{';
			$vw_minimalist_custom_css .='top: '.esc_attr($vw_minimalist_slider_content_padding_top_bottom).'; bottom: '.esc_attr($vw_minimalist_slider_content_padding_top_bottom).';left: '.esc_attr($vw_minimalist_slider_content_padding_left_right).';right: '.esc_attr($vw_minimalist_slider_content_padding_left_right).';';
		$vw_minimalist_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_blog_layout_option','Default');
    if($vw_minimalist_theme_lay == 'Default'){
		$vw_minimalist_custom_css .='.post-main-box{';
			$vw_minimalist_custom_css .='';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_theme_lay == 'Center'){
		$vw_minimalist_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p{';
			$vw_minimalist_custom_css .='text-align:center;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='.post-info{';
			$vw_minimalist_custom_css .='margin-top:10px;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_theme_lay == 'Left'){
		$vw_minimalist_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, #our-services p{';
			$vw_minimalist_custom_css .='text-align:Left;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='.post-main-box h2{';
			$vw_minimalist_custom_css .='margin-top:10px;';
		$vw_minimalist_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$vw_minimalist_blog_page_posts_settings = get_theme_mod( 'vw_minimalist_blog_page_posts_settings','Into Blocks');
    if($vw_minimalist_blog_page_posts_settings == 'Without Blocks'){
		$vw_minimalist_custom_css .='.post-main-box{';
			$vw_minimalist_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_related_image_box_shadow = get_theme_mod('vw_minimalist_related_image_box_shadow',0);
    if($vw_minimalist_related_image_box_shadow != false){
        $vw_minimalist_custom_css .='.related-post .box-image img{';
            $vw_minimalist_custom_css .='box-shadow: '.esc_attr($vw_minimalist_related_image_box_shadow).'px '.esc_attr($vw_minimalist_related_image_box_shadow).'px '.esc_attr($vw_minimalist_related_image_box_shadow).'px #cccccc;';
        $vw_minimalist_custom_css .='}';
    }

	/*--------------------- Grid Posts -------------------*/

	$vw_minimalist_display_grid_posts_settings = get_theme_mod( 'vw_minimalist_display_grid_posts_settings','Into Blocks');
    if($vw_minimalist_display_grid_posts_settings == 'Without Blocks'){
		$vw_minimalist_custom_css .='.grid-post-main-box{';
			$vw_minimalist_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_grid_featured_image_box_shadow = get_theme_mod('vw_minimalist_grid_featured_image_box_shadow',0);
	if($vw_minimalist_grid_featured_image_box_shadow != false){
		$vw_minimalist_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$vw_minimalist_custom_css .='box-shadow: '.esc_attr($vw_minimalist_grid_featured_image_box_shadow).'px '.esc_attr($vw_minimalist_grid_featured_image_box_shadow).'px '.esc_attr($vw_minimalist_grid_featured_image_box_shadow).'px #cccccc;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_grid_featured_image_border_radius = get_theme_mod('vw_minimalist_grid_featured_image_border_radius', 0);
	if($vw_minimalist_grid_featured_image_border_radius != false){
		$vw_minimalist_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_grid_featured_image_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	// featured image dimention
	$vw_minimalist_blog_post_featured_image_dimension = get_theme_mod('vw_minimalist_blog_post_featured_image_dimension', 'default');
	$vw_minimalist_blog_post_featured_image_custom_width = get_theme_mod('vw_minimalist_blog_post_featured_image_custom_width',250);
	$vw_minimalist_blog_post_featured_image_custom_height = get_theme_mod('vw_minimalist_blog_post_featured_image_custom_height',250);
	if($vw_minimalist_blog_post_featured_image_dimension == 'custom'){
		$vw_minimalist_custom_css .='.post-main-box img{';
			$vw_minimalist_custom_css .='width: '.esc_attr($vw_minimalist_blog_post_featured_image_custom_width).'; height: '.esc_attr($vw_minimalist_blog_post_featured_image_custom_height).';';
		$vw_minimalist_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$vw_minimalist_resp_stickyheader = get_theme_mod( 'vw_minimalist_stickyheader_hide_show',false);
	if($vw_minimalist_resp_stickyheader == true && get_theme_mod( 'vw_minimalist_sticky_header',false) != true){
    	$vw_minimalist_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_minimalist_custom_css .='position:static !important;';
		$vw_minimalist_custom_css .='} ';
	}
    if($vw_minimalist_resp_stickyheader == true){
    	$vw_minimalist_custom_css .='@media screen and (max-width:575px) {';
		$vw_minimalist_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_minimalist_custom_css .='position:fixed !important;';
		$vw_minimalist_custom_css .='} }';
	}else if($vw_minimalist_resp_stickyheader == false){
		$vw_minimalist_custom_css .='@media screen and (max-width:575px){';
		$vw_minimalist_custom_css .='.page-template-custom-home-page .header-fixed, .header-fixed{';
			$vw_minimalist_custom_css .='position:static !important;';
		$vw_minimalist_custom_css .='} }';
	}

	$vw_minimalist_resp_slider = get_theme_mod( 'vw_minimalist_resp_slider_hide_show',true);
	if($vw_minimalist_resp_slider == true && get_theme_mod( 'vw_minimalist_slider_arrows', true) == false){
    	$vw_minimalist_custom_css .='#slider{';
			$vw_minimalist_custom_css .='display:none;';
		$vw_minimalist_custom_css .='} ';
	}
    if($vw_minimalist_resp_slider == true){
    	$vw_minimalist_custom_css .='@media screen and (max-width:575px) {';
		$vw_minimalist_custom_css .='#slider{';
			$vw_minimalist_custom_css .='display:block;';
		$vw_minimalist_custom_css .='} }';
	}else if($vw_minimalist_resp_slider == false){
		$vw_minimalist_custom_css .='@media screen and (max-width:575px) {';
		$vw_minimalist_custom_css .='#slider{';
			$vw_minimalist_custom_css .='display:none;';
		$vw_minimalist_custom_css .='} }';
	}

	$vw_minimalist_resp_sidebar = get_theme_mod( 'vw_minimalist_sidebar_hide_show',true);
    if($vw_minimalist_resp_sidebar == true){
    	$vw_minimalist_custom_css .='@media screen and (max-width:575px) {';
		$vw_minimalist_custom_css .='#sidebar{';
			$vw_minimalist_custom_css .='display:block;';
		$vw_minimalist_custom_css .='} }';
	}else if($vw_minimalist_resp_sidebar == false){
		$vw_minimalist_custom_css .='@media screen and (max-width:575px) {';
		$vw_minimalist_custom_css .='#sidebar{';
			$vw_minimalist_custom_css .='display:none;';
		$vw_minimalist_custom_css .='} }';
	}

	$vw_minimalist_resp_scroll_top = get_theme_mod( 'vw_minimalist_resp_scroll_top_hide_show',true);
	if($vw_minimalist_resp_scroll_top == true && get_theme_mod( 'vw_minimalist_footer_scroll',true) != true){
    	$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='visibility:hidden !important;';
		$vw_minimalist_custom_css .='} ';
	}
    if($vw_minimalist_resp_scroll_top == true){
    	$vw_minimalist_custom_css .='@media screen and (max-width:575px) {';
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='visibility:visible !important;';
		$vw_minimalist_custom_css .='} }';
	}else if($vw_minimalist_resp_scroll_top == false){
		$vw_minimalist_custom_css .='@media screen and (max-width:575px){';
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='visibility:hidden !important;';
		$vw_minimalist_custom_css .='} }';
	}

	$vw_minimalist_resp_menu_toggle_btn_bg_color = get_theme_mod('vw_minimalist_resp_menu_toggle_btn_bg_color');
	if($vw_minimalist_resp_menu_toggle_btn_bg_color != false){
		$vw_minimalist_custom_css .='.toggle-nav i,.sidenav .closebtn{';
			$vw_minimalist_custom_css .='background-color: '.esc_attr($vw_minimalist_resp_menu_toggle_btn_bg_color).';';
		$vw_minimalist_custom_css .='}';
	}

	/*-------------- Sticky Header Padding ----------------*/

	$vw_minimalist_sticky_header_padding = get_theme_mod('vw_minimalist_sticky_header_padding');
	if($vw_minimalist_sticky_header_padding != false){
		$vw_minimalist_custom_css .='.header-fixed, .page-template-custom-home-page .header-fixed{';
			$vw_minimalist_custom_css .='padding: '.esc_attr($vw_minimalist_sticky_header_padding).';';
		$vw_minimalist_custom_css .='}';
	}

	/*-------------- Menus Settings ----------------*/

	$vw_minimalist_navigation_menu_font_size = get_theme_mod('vw_minimalist_navigation_menu_font_size');
	if($vw_minimalist_navigation_menu_font_size != false){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_navigation_menu_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_navigation_menu_font_weight = get_theme_mod('vw_minimalist_navigation_menu_font_weight','700');
	if($vw_minimalist_navigation_menu_font_weight != false){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='font-weight: '.esc_attr($vw_minimalist_navigation_menu_font_weight).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_menu_text_transform','Uppercase');
	if($vw_minimalist_theme_lay == 'Capitalize'){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='text-transform:Capitalize;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_theme_lay == 'Lowercase'){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='text-transform:Lowercase;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_theme_lay == 'Uppercase'){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='text-transform:Uppercase;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_header_menus_color = get_theme_mod('vw_minimalist_header_menus_color');
	if($vw_minimalist_header_menus_color != false){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_header_menus_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_header_menus_hover_color = get_theme_mod('vw_minimalist_header_menus_hover_color');
	if($vw_minimalist_header_menus_hover_color != false){
		$vw_minimalist_custom_css .='.main-navigation a:hover, .main-navigation .current_page_item > a, .main-navigation .current-menu-item > a, .main-navigation .current_page_ancestor > a{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_header_menus_hover_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_header_submenus_color = get_theme_mod('vw_minimalist_header_submenus_color');
	if($vw_minimalist_header_submenus_color != false){
		$vw_minimalist_custom_css .='.main-navigation ul ul a{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_header_submenus_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_header_submenus_hover_color = get_theme_mod('vw_minimalist_header_submenus_hover_color');
	if($vw_minimalist_header_submenus_hover_color != false){
		$vw_minimalist_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_header_submenus_hover_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_menus_item = get_theme_mod( 'vw_minimalist_menus_item_style','None');
    if($vw_minimalist_menus_item == 'None'){
		$vw_minimalist_custom_css .='.main-navigation a{';
			$vw_minimalist_custom_css .='';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_menus_item == 'Zoom In'){
		$vw_minimalist_custom_css .='.main-menu a:hover{';
			$vw_minimalist_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #f33f4b;';
		$vw_minimalist_custom_css .='}';
	}

	/*---------------- Button Settings ------------------*/

	$vw_minimalist_button_padding_top_bottom = get_theme_mod('vw_minimalist_button_padding_top_bottom');
	$vw_minimalist_button_padding_left_right = get_theme_mod('vw_minimalist_button_padding_left_right');
	if($vw_minimalist_button_padding_top_bottom != false || $vw_minimalist_button_padding_left_right != false){
		$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
			$vw_minimalist_custom_css .='padding-top: '.esc_attr($vw_minimalist_button_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_minimalist_button_padding_top_bottom).';padding-left: '.esc_attr($vw_minimalist_button_padding_left_right).';padding-right: '.esc_attr($vw_minimalist_button_padding_left_right).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_button_border_radius = get_theme_mod('vw_minimalist_button_border_radius');
	if($vw_minimalist_button_border_radius != false){
		$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_button_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_button_font_size = get_theme_mod('vw_minimalist_button_font_size',14);
	$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
		$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_button_font_size).';';
	$vw_minimalist_custom_css .='}';

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_button_text_transform','Uppercase');
	if($vw_minimalist_theme_lay == 'Capitalize'){
		$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
			$vw_minimalist_custom_css .='text-transform:Capitalize;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_theme_lay == 'Lowercase'){
		$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
			$vw_minimalist_custom_css .='text-transform:Lowercase;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_theme_lay == 'Uppercase'){ 
		$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
			$vw_minimalist_custom_css .='text-transform:Uppercase;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_button_letter_spacing = get_theme_mod('vw_minimalist_button_letter_spacing');
	$vw_minimalist_custom_css .='.post-main-box .more-btn a{';
		$vw_minimalist_custom_css .='letter-spacing: '.esc_attr($vw_minimalist_button_letter_spacing).';';
	$vw_minimalist_custom_css .='}';

	/*------------- Single Blog Page------------------*/

	$vw_minimalist_featured_image_border_radius = get_theme_mod('vw_minimalist_featured_image_border_radius', 0);
	if($vw_minimalist_featured_image_border_radius != false){
		$vw_minimalist_custom_css .='.box-image img, .feature-box img{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_featured_image_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_featured_image_box_shadow = get_theme_mod('vw_minimalist_featured_image_box_shadow',0);
	if($vw_minimalist_featured_image_box_shadow != false){
		$vw_minimalist_custom_css .='.box-image img, #content-vw img{';
			$vw_minimalist_custom_css .='box-shadow: '.esc_attr($vw_minimalist_featured_image_box_shadow).'px '.esc_attr($vw_minimalist_featured_image_box_shadow).'px '.esc_attr($vw_minimalist_featured_image_box_shadow).'px #cccccc;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_single_blog_post_navigation_show_hide = get_theme_mod('vw_minimalist_single_blog_post_navigation_show_hide',true);
	if($vw_minimalist_single_blog_post_navigation_show_hide != true){
		$vw_minimalist_custom_css .='.post-navigation{';
			$vw_minimalist_custom_css .='display: none;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_single_blog_comment_title = get_theme_mod('vw_minimalist_single_blog_comment_title', 'Leave a Reply');
	if($vw_minimalist_single_blog_comment_title == ''){
		$vw_minimalist_custom_css .='#comments h2#reply-title {';
			$vw_minimalist_custom_css .='display: none;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_single_blog_comment_button_text = get_theme_mod('vw_minimalist_single_blog_comment_button_text', 'Post Comment');
	if($vw_minimalist_single_blog_comment_button_text == ''){
		$vw_minimalist_custom_css .='#comments p.form-submit {';
			$vw_minimalist_custom_css .='display: none;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_singlepost_image_box_shadow = get_theme_mod('vw_minimalist_singlepost_image_box_shadow',0);
	if($vw_minimalist_singlepost_image_box_shadow != false){
		$vw_minimalist_custom_css .='.feature-box img{';
			$vw_minimalist_custom_css .='box-shadow: '.esc_attr($vw_minimalist_singlepost_image_box_shadow).'px '.esc_attr($vw_minimalist_singlepost_image_box_shadow).'px '.esc_attr($vw_minimalist_singlepost_image_box_shadow).'px #cccccc;';
		$vw_minimalist_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$vw_minimalist_footer_background_color = get_theme_mod('vw_minimalist_footer_background_color');
	if($vw_minimalist_footer_background_color != false){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background-color: '.esc_attr($vw_minimalist_footer_background_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_copyright_background_color = get_theme_mod('vw_minimalist_copyright_background_color');
	if($vw_minimalist_copyright_background_color != false){
		$vw_minimalist_custom_css .='#footer-2{';
			$vw_minimalist_custom_css .='background-color: '.esc_attr($vw_minimalist_copyright_background_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_footer_widgets_heading = get_theme_mod( 'vw_minimalist_footer_widgets_heading','Left');
    if($vw_minimalist_footer_widgets_heading == 'Left'){
		$vw_minimalist_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$vw_minimalist_custom_css .='text-align: left;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_footer_widgets_heading == 'Center'){
		$vw_minimalist_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_minimalist_custom_css .='text-align: center;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_footer_widgets_heading == 'Right'){
		$vw_minimalist_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$vw_minimalist_custom_css .='text-align: right;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_footer_widgets_content = get_theme_mod( 'vw_minimalist_footer_widgets_content','Left');
    if($vw_minimalist_footer_widgets_content == 'Left'){
		$vw_minimalist_custom_css .='#footer .widget{';
		$vw_minimalist_custom_css .='text-align: left;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_footer_widgets_content == 'Center'){
		$vw_minimalist_custom_css .='#footer .widget{';
			$vw_minimalist_custom_css .='text-align: center;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_footer_widgets_content == 'Right'){
		$vw_minimalist_custom_css .='#footer .widget{';
			$vw_minimalist_custom_css .='text-align: right;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_copyright_font_size = get_theme_mod('vw_minimalist_copyright_font_size');
	if($vw_minimalist_copyright_font_size != false){
		$vw_minimalist_custom_css .='.copyright p{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_copyright_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_copyright_padding_top_bottom = get_theme_mod('vw_minimalist_copyright_padding_top_bottom');
	if($vw_minimalist_copyright_padding_top_bottom != false){
		$vw_minimalist_custom_css .='#footer-2{';
			$vw_minimalist_custom_css .='padding-top: '.esc_attr($vw_minimalist_copyright_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_minimalist_copyright_padding_top_bottom).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_align_footer_social_icon = get_theme_mod('vw_minimalist_align_footer_social_icon');
	if($vw_minimalist_align_footer_social_icon != false){
		$vw_minimalist_custom_css .='.copyright .widget{';
			$vw_minimalist_custom_css .='text-align: '.esc_attr($vw_minimalist_align_footer_social_icon).';';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$vw_minimalist_custom_css .='text-align: center;} }';
	}

	$vw_minimalist_resp_stickycopyright = get_theme_mod( 'vw_minimalist_stickycopyright_hide_show',false);
	if($vw_minimalist_resp_stickycopyright == true && get_theme_mod( 'vw_minimalist_copyright_sticky',false) != true){
    	$vw_minimalist_custom_css .='.copyright-sticky{';
			$vw_minimalist_custom_css .='position:static;';
		$vw_minimalist_custom_css .='} ';
	}

	$vw_minimalist_footer_social_icons_font_size = get_theme_mod('vw_minimalist_footer_social_icons_font_size','16');
	$vw_minimalist_custom_css .='.copyright .widget i{';
		$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_footer_social_icons_font_size).'px;';
	$vw_minimalist_custom_css .='}';

	$vw_minimalist_copyright_alingment = get_theme_mod('vw_minimalist_copyright_alingment');
	if($vw_minimalist_copyright_alingment != false){
		$vw_minimalist_custom_css .='.copyright p{';
			$vw_minimalist_custom_css .='text-align: '.esc_attr($vw_minimalist_copyright_alingment).';';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p{';
			$vw_minimalist_custom_css .='text-align: center;} }';
	}

	$vw_minimalist_footer_padding = get_theme_mod('vw_minimalist_footer_padding');
	if($vw_minimalist_footer_padding != false){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='padding: '.esc_attr($vw_minimalist_footer_padding).' 0;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_footer_background_image = get_theme_mod('vw_minimalist_footer_background_image');
	if($vw_minimalist_footer_background_image != false){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background: url('.esc_attr($vw_minimalist_footer_background_image).'); background-size: cover;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_img_footer','scroll');
	if($vw_minimalist_theme_lay == 'fixed'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background-attachment: fixed !important;';
		$vw_minimalist_custom_css .='}';
	}elseif ($vw_minimalist_theme_lay == 'scroll'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background-attachment: scroll !important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_footer_img_position = get_theme_mod('vw_minimalist_footer_img_position','center center');
	if($vw_minimalist_footer_img_position != false){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background-position: '.esc_attr($vw_minimalist_footer_img_position).'!important;';
		$vw_minimalist_custom_css .='}';
	} 

	/*----------------Sroll to top Settings ------------------*/

	$vw_minimalist_scroll_to_top_font_size = get_theme_mod('vw_minimalist_scroll_to_top_font_size');
	if($vw_minimalist_scroll_to_top_font_size != false){
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_scroll_to_top_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_scroll_to_top_padding = get_theme_mod('vw_minimalist_scroll_to_top_padding');
	$vw_minimalist_scroll_to_top_padding = get_theme_mod('vw_minimalist_scroll_to_top_padding');
	if($vw_minimalist_scroll_to_top_padding != false){
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='padding-top: '.esc_attr($vw_minimalist_scroll_to_top_padding).';padding-bottom: '.esc_attr($vw_minimalist_scroll_to_top_padding).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_scroll_to_top_width = get_theme_mod('vw_minimalist_scroll_to_top_width');
	if($vw_minimalist_scroll_to_top_width != false){
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='width: '.esc_attr($vw_minimalist_scroll_to_top_width).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_scroll_to_top_height = get_theme_mod('vw_minimalist_scroll_to_top_height');
	if($vw_minimalist_scroll_to_top_height != false){
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='height: '.esc_attr($vw_minimalist_scroll_to_top_height).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_scroll_to_top_border_radius = get_theme_mod('vw_minimalist_scroll_to_top_border_radius');
	if($vw_minimalist_scroll_to_top_border_radius != false){
		$vw_minimalist_custom_css .='.scrollup i{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_scroll_to_top_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$vw_minimalist_social_icon_font_size = get_theme_mod('vw_minimalist_social_icon_font_size');
	if($vw_minimalist_social_icon_font_size != false){
		$vw_minimalist_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_social_icon_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_social_icon_padding = get_theme_mod('vw_minimalist_social_icon_padding');
	if($vw_minimalist_social_icon_padding != false){
		$vw_minimalist_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_minimalist_custom_css .='padding: '.esc_attr($vw_minimalist_social_icon_padding).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_social_icon_width = get_theme_mod('vw_minimalist_social_icon_width');
	if($vw_minimalist_social_icon_width != false){
		$vw_minimalist_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_minimalist_custom_css .='width: '.esc_attr($vw_minimalist_social_icon_width).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_social_icon_height = get_theme_mod('vw_minimalist_social_icon_height');
	if($vw_minimalist_social_icon_height != false){
		$vw_minimalist_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_minimalist_custom_css .='height: '.esc_attr($vw_minimalist_social_icon_height).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_social_icon_border_radius = get_theme_mod('vw_minimalist_social_icon_border_radius');
	if($vw_minimalist_social_icon_border_radius != false){
		$vw_minimalist_custom_css .='#sidebar .custom-social-icons i, #footer .custom-social-icons i{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_social_icon_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$vw_minimalist_related_product_show_hide = get_theme_mod('vw_minimalist_related_product_show_hide',true);
	if($vw_minimalist_related_product_show_hide != true){
		$vw_minimalist_custom_css .='.related.products{';
			$vw_minimalist_custom_css .='display: none;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_padding_top_bottom = get_theme_mod('vw_minimalist_products_padding_top_bottom');
	if($vw_minimalist_products_padding_top_bottom != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_minimalist_custom_css .='padding-top: '.esc_attr($vw_minimalist_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($vw_minimalist_products_padding_top_bottom).'!important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_padding_left_right = get_theme_mod('vw_minimalist_products_padding_left_right');
	if($vw_minimalist_products_padding_left_right != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_minimalist_custom_css .='padding-left: '.esc_attr($vw_minimalist_products_padding_left_right).'!important; padding-right: '.esc_attr($vw_minimalist_products_padding_left_right).'!important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_box_shadow = get_theme_mod('vw_minimalist_products_box_shadow');
	if($vw_minimalist_products_box_shadow != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$vw_minimalist_custom_css .='box-shadow: '.esc_attr($vw_minimalist_products_box_shadow).'px '.esc_attr($vw_minimalist_products_box_shadow).'px '.esc_attr($vw_minimalist_products_box_shadow).'px #ddd;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_border_radius = get_theme_mod('vw_minimalist_products_border_radius', 0);
	if($vw_minimalist_products_border_radius != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_products_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_btn_padding_top_bottom = get_theme_mod('vw_minimalist_products_btn_padding_top_bottom');
	if($vw_minimalist_products_btn_padding_top_bottom != false){
		$vw_minimalist_custom_css .='.woocommerce a.button{';
			$vw_minimalist_custom_css .='padding-top: '.esc_attr($vw_minimalist_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($vw_minimalist_products_btn_padding_top_bottom).' !important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_btn_padding_left_right = get_theme_mod('vw_minimalist_products_btn_padding_left_right');
	if($vw_minimalist_products_btn_padding_left_right != false){
		$vw_minimalist_custom_css .='.woocommerce a.button{';
			$vw_minimalist_custom_css .='padding-left: '.esc_attr($vw_minimalist_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($vw_minimalist_products_btn_padding_left_right).' !important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_products_button_border_radius = get_theme_mod('vw_minimalist_products_button_border_radius', 100);
	if($vw_minimalist_products_button_border_radius != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_products_button_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_woocommerce_sale_position = get_theme_mod( 'vw_minimalist_woocommerce_sale_position','right');
    if($vw_minimalist_woocommerce_sale_position == 'left'){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_minimalist_custom_css .='left: -10px; right: auto;';
		$vw_minimalist_custom_css .='}';
	}else if($vw_minimalist_woocommerce_sale_position == 'right'){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product .onsale{';
			$vw_minimalist_custom_css .='left: auto; right: 0;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_woocommerce_sale_font_size = get_theme_mod('vw_minimalist_woocommerce_sale_font_size');
	if($vw_minimalist_woocommerce_sale_font_size != false){
		$vw_minimalist_custom_css .='.woocommerce span.onsale{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_woocommerce_sale_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_woocommerce_sale_padding_top_bottom = get_theme_mod('vw_minimalist_woocommerce_sale_padding_top_bottom');
	if($vw_minimalist_woocommerce_sale_padding_top_bottom != false){
		$vw_minimalist_custom_css .='.woocommerce span.onsale{';
			$vw_minimalist_custom_css .='padding-top: '.esc_attr($vw_minimalist_woocommerce_sale_padding_top_bottom).'; padding-bottom: '.esc_attr($vw_minimalist_woocommerce_sale_padding_top_bottom).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_woocommerce_sale_padding_left_right = get_theme_mod('vw_minimalist_woocommerce_sale_padding_left_right');
	if($vw_minimalist_woocommerce_sale_padding_left_right != false){
		$vw_minimalist_custom_css .='.woocommerce span.onsale{';
			$vw_minimalist_custom_css .='padding-left: '.esc_attr($vw_minimalist_woocommerce_sale_padding_left_right).'; padding-right: '.esc_attr($vw_minimalist_woocommerce_sale_padding_left_right).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_woocommerce_sale_border_radius = get_theme_mod('vw_minimalist_woocommerce_sale_border_radius', 0);
	if($vw_minimalist_woocommerce_sale_border_radius != false){
		$vw_minimalist_custom_css .='.woocommerce span.onsale{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_woocommerce_sale_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	// Site title Font Size
	$vw_minimalist_site_title_font_size = get_theme_mod('vw_minimalist_site_title_font_size');
	if($vw_minimalist_site_title_font_size != false){
		$vw_minimalist_custom_css .='.logo h1, .logo p.site-title{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_site_title_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	// Site tagline Font Size
	$vw_minimalist_site_tagline_font_size = get_theme_mod('vw_minimalist_site_tagline_font_size');
	if($vw_minimalist_site_tagline_font_size != false){
		$vw_minimalist_custom_css .='.logo p.site-description{';
			$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_site_tagline_font_size).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_logo_padding = get_theme_mod('vw_minimalist_logo_padding');
	if($vw_minimalist_logo_padding != false){
		$vw_minimalist_custom_css .='.logo{';
			$vw_minimalist_custom_css .='padding: '.esc_attr($vw_minimalist_logo_padding).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_logo_margin = get_theme_mod('vw_minimalist_logo_margin');
	if($vw_minimalist_logo_margin != false){
		$vw_minimalist_custom_css .='.logo{';
			$vw_minimalist_custom_css .='margin: '.esc_attr($vw_minimalist_logo_margin).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_site_title_color = get_theme_mod('vw_minimalist_site_title_color');
	if($vw_minimalist_site_title_color != false){
		$vw_minimalist_custom_css .='p.site-title a{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_site_title_color).'!important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_site_tagline_color = get_theme_mod('vw_minimalist_site_tagline_color');
	if($vw_minimalist_site_tagline_color != false){
		$vw_minimalist_custom_css .='.logo p.site-description{';
			$vw_minimalist_custom_css .='color: '.esc_attr($vw_minimalist_site_tagline_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_logo_width = get_theme_mod('vw_minimalist_logo_width');
	if($vw_minimalist_logo_width != false){
		$vw_minimalist_custom_css .='.logo img{';
			$vw_minimalist_custom_css .='width: '.esc_attr($vw_minimalist_logo_width).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_logo_height = get_theme_mod('vw_minimalist_logo_height');
	if($vw_minimalist_logo_height != false){
		$vw_minimalist_custom_css .='.logo img{';
			$vw_minimalist_custom_css .='height: '.esc_attr($vw_minimalist_logo_height).';';
		$vw_minimalist_custom_css .='}';
	}

	// Woocommerce img

	$vw_minimalist_shop_featured_image_border_radius = get_theme_mod('vw_minimalist_shop_featured_image_border_radius', 0);
	if($vw_minimalist_shop_featured_image_border_radius != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product a img{';
			$vw_minimalist_custom_css .='border-radius: '.esc_attr($vw_minimalist_shop_featured_image_border_radius).'px;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_shop_featured_image_box_shadow = get_theme_mod('vw_minimalist_shop_featured_image_box_shadow');
	if($vw_minimalist_shop_featured_image_box_shadow != false){
		$vw_minimalist_custom_css .='.woocommerce ul.products li.product a img{';
				$vw_minimalist_custom_css .='box-shadow: '.esc_attr($vw_minimalist_shop_featured_image_box_shadow).'px '.esc_attr($vw_minimalist_shop_featured_image_box_shadow).'px '.esc_attr($vw_minimalist_shop_featured_image_box_shadow).'px #ddd;';
		$vw_minimalist_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$vw_minimalist_preloader_bg_color = get_theme_mod('vw_minimalist_preloader_bg_color');
	if($vw_minimalist_preloader_bg_color != false){
		$vw_minimalist_custom_css .='#preloader{';
			$vw_minimalist_custom_css .='background-color: '.esc_attr($vw_minimalist_preloader_bg_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_preloader_border_color = get_theme_mod('vw_minimalist_preloader_border_color');
	if($vw_minimalist_preloader_border_color != false){
		$vw_minimalist_custom_css .='.loader-line{';
			$vw_minimalist_custom_css .='border-color: '.esc_attr($vw_minimalist_preloader_border_color).'!important;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_preloader_bg_img = get_theme_mod('vw_minimalist_preloader_bg_img');
	if($vw_minimalist_preloader_bg_img != false){
		$vw_minimalist_custom_css .='#preloader{';
			$vw_minimalist_custom_css .='background: url('.esc_attr($vw_minimalist_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$vw_minimalist_custom_css .='}';
	}

	// Header Background Color
	$vw_minimalist_header_background_color = get_theme_mod('vw_minimalist_header_background_color');
	if($vw_minimalist_header_background_color != false){
		$vw_minimalist_custom_css .='.middle-header{';
			$vw_minimalist_custom_css .='background-color: '.esc_attr($vw_minimalist_header_background_color).';';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_header_img_position = get_theme_mod('vw_minimalist_header_img_position','center top');
	if($vw_minimalist_header_img_position != false){
		$vw_minimalist_custom_css .='.middle-header{';
			$vw_minimalist_custom_css .='background-position: '.esc_attr($vw_minimalist_header_img_position).'!important;';
		$vw_minimalist_custom_css .='}';
	}

	/*---------------- Footer Settings ------------------*/

	$vw_minimalist_button_footer_heading_letter_spacing = get_theme_mod('vw_minimalist_button_footer_heading_letter_spacing',1);
	$vw_minimalist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$vw_minimalist_custom_css .='letter-spacing: '.esc_attr($vw_minimalist_button_footer_heading_letter_spacing).'px;';
	$vw_minimalist_custom_css .='}';

	$vw_minimalist_button_footer_font_size = get_theme_mod('vw_minimalist_button_footer_font_size','25');
	$vw_minimalist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$vw_minimalist_custom_css .='font-size: '.esc_attr($vw_minimalist_button_footer_font_size).'px;';
	$vw_minimalist_custom_css .='}';

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_button_footer_text_transform','Capitalize');
	if($vw_minimalist_theme_lay == 'Capitalize'){
		$vw_minimalist_custom_css .='#footer h3{';
			$vw_minimalist_custom_css .='text-transform:Capitalize;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_theme_lay == 'Lowercase'){
		$vw_minimalist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_minimalist_custom_css .='text-transform:Lowercase;';
		$vw_minimalist_custom_css .='}';
	}
	if($vw_minimalist_theme_lay == 'Uppercase'){
		$vw_minimalist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_minimalist_custom_css .='text-transform:Uppercase;';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_footer_heading_weight = get_theme_mod('vw_minimalist_footer_heading_weight','');
	if($vw_minimalist_footer_heading_weight != false){
		$vw_minimalist_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$vw_minimalist_custom_css .='font-weight: '.esc_attr($vw_minimalist_footer_heading_weight).';';
		$vw_minimalist_custom_css .='}';
	}

	/*---------------------------Footer Style -------------------*/

	$vw_minimalist_theme_lay = get_theme_mod( 'vw_minimalist_footer_template','vw-minimalist-footer-one');
    if($vw_minimalist_theme_lay == 'vw-minimalist-footer-one'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='';
		$vw_minimalist_custom_css .='}';

	}else if($vw_minimalist_theme_lay == 'vw-minimalist-footer-two'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$vw_minimalist_custom_css .='color:#000;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#footer ul li::before{';
			$vw_minimalist_custom_css .='background:#000;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$vw_minimalist_custom_css .='border: 1px solid #000;';
		$vw_minimalist_custom_css .='}';

	}else if($vw_minimalist_theme_lay == 'vw-minimalist-footer-three'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background: #232524;';
		$vw_minimalist_custom_css .='}';
	}
	else if($vw_minimalist_theme_lay == 'vw-minimalist-footer-four'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background: #f7f7f7;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field{';
			$vw_minimalist_custom_css .='color:#000;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#footer ul li::before{';
			$vw_minimalist_custom_css .='background:#000;';
		$vw_minimalist_custom_css .='}';
		$vw_minimalist_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$vw_minimalist_custom_css .='border: 1px solid #000;';
		$vw_minimalist_custom_css .='}';
	}
	else if($vw_minimalist_theme_lay == 'vw-minimalist-footer-five'){
		$vw_minimalist_custom_css .='#footer{';
			$vw_minimalist_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$vw_minimalist_custom_css .='}';
	}

	$vw_minimalist_responsive_preloader_hide = get_theme_mod('vw_minimalist_responsive_preloader_hide',false);
	if($vw_minimalist_responsive_preloader_hide == true && get_theme_mod('vw_minimalist_loader_enable',false) == false){
		$vw_minimalist_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$vw_minimalist_custom_css .='display:none !important;';
		$vw_minimalist_custom_css .='} }';
	}

	if($vw_minimalist_responsive_preloader_hide == false){
		$vw_minimalist_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$vw_minimalist_custom_css .='display:none !important;';
		$vw_minimalist_custom_css .='} }';
	}

	$vw_minimalist_bradcrumbs_alignment = get_theme_mod( 'vw_minimalist_bradcrumbs_alignment','Left');
    if($vw_minimalist_bradcrumbs_alignment == 'Left'){
    	$vw_minimalist_custom_css .='@media screen and (min-width:768px) {';
		$vw_minimalist_custom_css .='.bradcrumbs{';
			$vw_minimalist_custom_css .='text-align:start;';
		$vw_minimalist_custom_css .='}}';
	}else if($vw_minimalist_bradcrumbs_alignment == 'Center'){
		$vw_minimalist_custom_css .='@media screen and (min-width:768px) {';
		$vw_minimalist_custom_css .='.bradcrumbs{';
			$vw_minimalist_custom_css .='text-align:center;';
		$vw_minimalist_custom_css .='}}';
	}else if($vw_minimalist_bradcrumbs_alignment == 'Right'){
		$vw_minimalist_custom_css .='@media screen and (min-width:768px) {';
		$vw_minimalist_custom_css .='.bradcrumbs{';
			$vw_minimalist_custom_css .='text-align:end;';
		$vw_minimalist_custom_css .='}}';
	}
	// Hover on featured image //
	$vw_minimalist_show_featured = get_theme_mod( 'vw_minimalist_featured_image_hide_show', 1 );
	$vw_minimalist_hover_effect  = get_theme_mod( 'vw_minimalist_featured_image_hover', 'none' );

	if ( $vw_minimalist_show_featured && $vw_minimalist_hover_effect !== 'none' ) {

		$vw_minimalist_custom_css .= '
		.vw-minimalist-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $vw_minimalist_hover_effect === 'zoom-in' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $vw_minimalist_hover_effect === 'zoom-out' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image img{
				transform: scale(1.2);
			}
			.vw-minimalist-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $vw_minimalist_hover_effect === 'grayscale' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image img{
				filter: grayscale(100%);
			}
			.vw-minimalist-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $vw_minimalist_hover_effect === 'sepia' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $vw_minimalist_hover_effect === 'blur' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $vw_minimalist_hover_effect === 'bright' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $vw_minimalist_hover_effect === 'translate' ) {
			$vw_minimalist_custom_css .= '
			.vw-minimalist-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}
